僅在使用時載入搜尋。在下方瀏覽所有類別。

排程與發布

批次建立排程貼文

透過一次呼叫為多個帳號排程貼文(targets)。媒體需要已上傳/匯入並就緒的 asset_ids 及其標準 URL。每個目標獨立成功或失敗,並在 successes 或 failures 中回報。需要 publish 能力。

POST /studio-api/scheduled-posts/bulk-create

契約檢閱日期: · sha256:563d2d581da0ad29

概覽

透過一次呼叫為多個帳號排程貼文(targets)。媒體需要已上傳/匯入並就緒的 asset_ids 及其標準 URL。每個目標獨立成功或失敗,並在 successes 或 failures 中回報。需要 publish 能力。

成功 HTTP 回應可能表示請求已接受,並非已完成。背景工作請儲存回傳 ID,持續檢查同一操作直到完成。已排程或已接受的貼文,只有平台確認後才算已發布;用戶端逾時無法證明結果。

驗證與權限

接受的憑證類別
user_session, delegated_oauth, personal_access_token
委派能力
agent:publish
最低工作空間角色
editor
存取範圍
此使用者有權存取的資源
需要所有工作空間同意
否
變更狀態
是
操作完成時
terminal publication outcome

權杖只能使用其擁有者持有的權利。每次請求會檢查工作空間成員資格、資源擁有權、所選工作空間及已授予能力。core 與 full 設定檔只變更顯示的工具,不會授予存取權。

請求欄位

「必填」是指在其父物件及所選分支內必填。必填子欄位不會使選填父物件變成必填。下列規則與欄位名稱均複製自契約。

請求欄位
欄位 / 分支類型 / 必填約束
$object在父物件中必填
  • additionalProperties: false
workspace_idstring在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
project_idstring | null選填/項目—
project_idanyOf 1string選填/項目
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
project_idanyOf 2null選填/項目—
source_refobject | null選填/項目—
source_refanyOf 1object選填/項目
  • additionalProperties: {}
source_ref.*anyOf 1any JSON value選填/項目—
source_refanyOf 2null選填/項目—
targetsarray在父物件中必填
  • minItems: 1
  • maxItems: 50
targets[]object選填/項目
  • additionalProperties: false
targets[].social_account_idstring在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
targets[].captionstring | null選填/項目
  • default: null
targets[].captionanyOf 1string選填/項目
  • maxLength: 5000
targets[].captionanyOf 2null選填/項目—
targets[].hashtagsarray選填/項目
  • maxItems: 100
  • default: []
targets[].hashtags[]string選填/項目
  • maxLength: 100
targets[].mediaarray選填/項目
  • maxItems: 20
  • default: []
targets[].media[]object選填/項目
  • additionalProperties: false
targets[].media[].kindstring在父物件中必填
  • enum: ["image","video"]
targets[].media[].urlstring在父物件中必填
  • format: "uri"
targets[].media[].cover_urlstring | null選填/項目—
targets[].media[].cover_urlanyOf 1string選填/項目
  • format: "uri"
targets[].media[].cover_urlanyOf 2null選填/項目—
targets[].media[].cover_asset_idinteger | null選填/項目—
targets[].media[].cover_asset_idanyOf 1integer選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
targets[].media[].cover_asset_idanyOf 2null選填/項目—
targets[].media[].asset_idinteger | null選填/項目—
targets[].media[].asset_idanyOf 1integer選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
targets[].media[].asset_idanyOf 2null選填/項目—
targets[].media[].mime_typestring | null選填/項目—
targets[].media[].mime_typeanyOf 1string選填/項目
  • minLength: 1
  • maxLength: 160
targets[].media[].mime_typeanyOf 2null選填/項目—
targets[].link_urlstring | null選填/項目—
targets[].link_urlanyOf 1string選填/項目
  • format: "uri"
targets[].link_urlanyOf 2null選填/項目—
targets[].provider_payloadobject在父物件中必填—
targets[].provider_payloadoneOf 1object在父物件中必填
  • additionalProperties: false
targets[].provider_payload.platformoneOf 1string在父物件中必填
  • const: "x"
targets[].provider_payload.publish_optionsoneOf 1object在父物件中必填
  • additionalProperties: false
targets[].provider_payload.publish_options.post_typeoneOf 1string在父物件中必填
  • const: "TEXT"
targets[].provider_payloadoneOf 2object在父物件中必填
  • additionalProperties: false
targets[].provider_payload.platformoneOf 2string在父物件中必填
  • const: "instagram"
targets[].provider_payload.publish_optionsoneOf 2object在父物件中必填
  • additionalProperties: false
targets[].provider_payload.publish_options.post_typeoneOf 2string在父物件中必填
  • enum: ["IMAGE","VIDEO","CAROUSEL","REELS","STORY_IMAGE","STORY_VIDEO"]
targets[].provider_payload.publish_options.location_idoneOf 2string選填/項目
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.share_to_feedoneOf 2boolean選填/項目—
targets[].provider_payload.publish_options.collaboratorsoneOf 2array選填/項目
  • maxItems: 3
targets[].provider_payload.publish_options.collaborators[]oneOf 2string選填/項目
  • minLength: 1
  • maxLength: 30
targets[].provider_payload.publish_options.first_commentoneOf 2string選填/項目
  • minLength: 1
  • maxLength: 2200
targets[].provider_payload.publish_options.cover_asset_idoneOf 2integer選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
targets[].provider_payload.publish_options.thumb_offset_msoneOf 2integer選填/項目
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.audio_nameoneOf 2string選填/項目
  • minLength: 1
  • maxLength: 100
targets[].provider_payload.publish_options.trial_paramsoneOf 2object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.trial_params.graduation_strategyoneOf 2string在父物件中必填
  • enum: ["MANUAL","SS_PERFORMANCE"]
targets[].provider_payload.publish_options.is_ai_generatedoneOf 2boolean選填/項目—
targets[].provider_payload.publish_options.branded_content_sponsor_idsoneOf 2array選填/項目
  • maxItems: 2
targets[].provider_payload.publish_options.branded_content_sponsor_ids[]oneOf 2string選填/項目
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.is_paid_partnershiponeOf 2boolean選填/項目—
targets[].provider_payload.publish_options.media_optionsoneOf 2array選填/項目
  • maxItems: 10
targets[].provider_payload.publish_options.media_options[]oneOf 2object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.media_options[].asset_idoneOf 2integer在父物件中必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
targets[].provider_payload.publish_options.media_options[].alt_textoneOf 2string選填/項目
  • minLength: 1
  • maxLength: 1000
targets[].provider_payload.publish_options.media_options[].user_tagsoneOf 2array選填/項目
  • maxItems: 20
targets[].provider_payload.publish_options.media_options[].user_tags[]oneOf 2object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.media_options[].user_tags[].usernameoneOf 2string在父物件中必填
  • minLength: 1
  • maxLength: 30
targets[].provider_payload.publish_options.media_options[].user_tags[].xoneOf 2number選填/項目
  • minimum: 0
  • maximum: 1
targets[].provider_payload.publish_options.media_options[].user_tags[].yoneOf 2number選填/項目
  • minimum: 0
  • maximum: 1
targets[].provider_payload.publish_options.media_options[].product_tagsoneOf 2array選填/項目
  • maxItems: 5
targets[].provider_payload.publish_options.media_options[].product_tags[]oneOf 2object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.media_options[].product_tags[].product_idoneOf 2string在父物件中必填
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.media_options[].product_tags[].xoneOf 2number選填/項目
  • minimum: 0
  • maximum: 1
targets[].provider_payload.publish_options.media_options[].product_tags[].yoneOf 2number選填/項目
  • minimum: 0
  • maximum: 1
targets[].provider_payload.publish_options.media_options[].thumb_offset_msoneOf 2integer選填/項目
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payloadoneOf 3object在父物件中必填
  • additionalProperties: false
targets[].provider_payload.platformoneOf 3string在父物件中必填
  • const: "facebook"
targets[].provider_payload.publish_optionsoneOf 3object在父物件中必填
  • additionalProperties: false
targets[].provider_payload.publish_options.post_typeoneOf 3string在父物件中必填
  • enum: ["TEXT","LINK","IMAGE","MULTI_IMAGE","VIDEO","REELS","STORY_IMAGE","STORY_VIDEO"]
targets[].provider_payload.publish_options.titleoneOf 3string選填/項目
  • maxLength: 255
targets[].provider_payload.publish_options.descriptiononeOf 3string選填/項目
  • maxLength: 5000
targets[].provider_payload.publish_options.publication_modeoneOf 3string選填/項目
  • enum: ["PUBLISH","DRAFT"]
targets[].provider_payload.publish_options.backdated_timeoneOf 3number選填/項目—
targets[].provider_payload.publish_options.backdated_time_granularityoneOf 3string選填/項目
  • enum: ["year","month","day","hour","minute"]
targets[].provider_payload.publish_options.placeoneOf 3string選填/項目
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.tagsoneOf 3array選填/項目
  • maxItems: 50
targets[].provider_payload.publish_options.tags[]oneOf 3string選填/項目
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.feed_targetingoneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.feed_targeting.age_minoneOf 3integer選填/項目
  • minimum: 13
  • maximum: 65
targets[].provider_payload.publish_options.feed_targeting.age_maxoneOf 3integer選填/項目
  • minimum: 13
  • maximum: 65
targets[].provider_payload.publish_options.feed_targeting.college_yearsoneOf 3array選填/項目
  • maxItems: 100
targets[].provider_payload.publish_options.feed_targeting.college_years[]oneOf 3integer選填/項目
  • minimum: 1900
  • maximum: 2200
targets[].provider_payload.publish_options.feed_targeting.education_statusesoneOf 3array選填/項目
  • maxItems: 3
targets[].provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3number選填/項目—
targets[].provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3 / anyOf 1number選填/項目
  • const: 1
targets[].provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3 / anyOf 2number選填/項目
  • const: 2
targets[].provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3 / anyOf 3number選填/項目
  • const: 3
targets[].provider_payload.publish_options.feed_targeting.gendersoneOf 3array選填/項目
  • maxItems: 2
targets[].provider_payload.publish_options.feed_targeting.genders[]oneOf 3number選填/項目—
targets[].provider_payload.publish_options.feed_targeting.genders[]oneOf 3 / anyOf 1number選填/項目
  • const: 1
targets[].provider_payload.publish_options.feed_targeting.genders[]oneOf 3 / anyOf 2number選填/項目
  • const: 2
targets[].provider_payload.publish_options.feed_targeting.geo_locationsoneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.feed_targeting.geo_locations.countriesoneOf 3array選填/項目
  • minItems: 1
  • maxItems: 25
targets[].provider_payload.publish_options.feed_targeting.geo_locations.countries[]oneOf 3string選填/項目
  • pattern: "^[A-Z]{2}$"
targets[].provider_payload.publish_options.feed_targeting.geo_locations.regionsoneOf 3array選填/項目
  • minItems: 1
  • maxItems: 250
targets[].provider_payload.publish_options.feed_targeting.geo_locations.regions[]oneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.feed_targeting.geo_locations.regions[].keyoneOf 3string | integer在父物件中必填—
targets[].provider_payload.publish_options.feed_targeting.geo_locations.regions[].keyoneOf 3 / anyOf 1string在父物件中必填
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.feed_targeting.geo_locations.regions[].keyoneOf 3 / anyOf 2integer在父物件中必填
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.feed_targeting.geo_locations.citiesoneOf 3array選填/項目
  • minItems: 1
  • maxItems: 250
targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[]oneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[].keyoneOf 3string | integer在父物件中必填—
targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[].keyoneOf 3 / anyOf 1string在父物件中必填
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[].keyoneOf 3 / anyOf 2integer在父物件中必填
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[].radiusoneOf 3number選填/項目
  • maximum: 1000
  • exclusiveMinimum: 0
targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[].distance_unitoneOf 3string選填/項目
  • enum: ["mile","kilometer"]
targets[].provider_payload.publish_options.feed_targeting.geo_locations.zipsoneOf 3array選填/項目
  • minItems: 1
  • maxItems: 250
targets[].provider_payload.publish_options.feed_targeting.geo_locations.zips[]oneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.feed_targeting.geo_locations.zips[].keyoneOf 3string | integer在父物件中必填—
targets[].provider_payload.publish_options.feed_targeting.geo_locations.zips[].keyoneOf 3 / anyOf 1string在父物件中必填
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.feed_targeting.geo_locations.zips[].keyoneOf 3 / anyOf 2integer在父物件中必填
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.feed_targeting.geo_locations.location_typesoneOf 3array選填/項目
  • minItems: 1
  • maxItems: 2
targets[].provider_payload.publish_options.feed_targeting.geo_locations.location_types[]oneOf 3string選填/項目
  • enum: ["home","recent"]
targets[].provider_payload.publish_options.feed_targeting.interestsoneOf 3array選填/項目
  • maxItems: 250
targets[].provider_payload.publish_options.feed_targeting.interests[]oneOf 3string | integer選填/項目—
targets[].provider_payload.publish_options.feed_targeting.interests[]oneOf 3 / anyOf 1string選填/項目
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.feed_targeting.interests[]oneOf 3 / anyOf 2integer選填/項目
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.feed_targeting.localesoneOf 3array選填/項目
  • maxItems: 250
targets[].provider_payload.publish_options.feed_targeting.locales[]oneOf 3integer選填/項目
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.feed_targeting.relationship_statusesoneOf 3array選填/項目
  • maxItems: 4
targets[].provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3number選填/項目—
targets[].provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 1number選填/項目
  • const: 1
targets[].provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 2number選填/項目
  • const: 2
targets[].provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 3number選填/項目
  • const: 3
targets[].provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 4number選填/項目
  • const: 4
targets[].provider_payload.publish_options.targetingoneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.targeting.age_minoneOf 3number選填/項目—
targets[].provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 1number選填/項目
  • const: 13
targets[].provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 2number選填/項目
  • const: 15
targets[].provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 3number選填/項目
  • const: 18
targets[].provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 4number選填/項目
  • const: 21
targets[].provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 5number選填/項目
  • const: 25
targets[].provider_payload.publish_options.targeting.geo_locationsoneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.targeting.geo_locations.countriesoneOf 3array選填/項目
  • minItems: 1
  • maxItems: 25
targets[].provider_payload.publish_options.targeting.geo_locations.countries[]oneOf 3string選填/項目
  • pattern: "^[A-Z]{2}$"
targets[].provider_payload.publish_options.targeting.geo_locations.regionsoneOf 3array選填/項目
  • minItems: 1
  • maxItems: 250
targets[].provider_payload.publish_options.targeting.geo_locations.regions[]oneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.targeting.geo_locations.regions[].keyoneOf 3string | integer在父物件中必填—
targets[].provider_payload.publish_options.targeting.geo_locations.regions[].keyoneOf 3 / anyOf 1string在父物件中必填
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.targeting.geo_locations.regions[].keyoneOf 3 / anyOf 2integer在父物件中必填
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.targeting.geo_locations.citiesoneOf 3array選填/項目
  • minItems: 1
  • maxItems: 250
targets[].provider_payload.publish_options.targeting.geo_locations.cities[]oneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.targeting.geo_locations.cities[].keyoneOf 3string | integer在父物件中必填—
targets[].provider_payload.publish_options.targeting.geo_locations.cities[].keyoneOf 3 / anyOf 1string在父物件中必填
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.targeting.geo_locations.cities[].keyoneOf 3 / anyOf 2integer在父物件中必填
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.targeting.geo_locations.cities[].radiusoneOf 3number選填/項目
  • maximum: 1000
  • exclusiveMinimum: 0
targets[].provider_payload.publish_options.targeting.geo_locations.cities[].distance_unitoneOf 3string選填/項目
  • enum: ["mile","kilometer"]
targets[].provider_payload.publish_options.targeting.geo_locations.zipsoneOf 3array選填/項目
  • minItems: 1
  • maxItems: 250
targets[].provider_payload.publish_options.targeting.geo_locations.zips[]oneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.targeting.geo_locations.zips[].keyoneOf 3string | integer在父物件中必填—
targets[].provider_payload.publish_options.targeting.geo_locations.zips[].keyoneOf 3 / anyOf 1string在父物件中必填
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.targeting.geo_locations.zips[].keyoneOf 3 / anyOf 2integer在父物件中必填
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.targeting.geo_locations.location_typesoneOf 3array選填/項目
  • minItems: 1
  • maxItems: 2
targets[].provider_payload.publish_options.targeting.geo_locations.location_types[]oneOf 3string選填/項目
  • enum: ["home","recent"]
targets[].provider_payload.publish_options.child_attachmentsoneOf 3array選填/項目
  • minItems: 2
  • maxItems: 10
targets[].provider_payload.publish_options.child_attachments[]oneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.child_attachments[].linkoneOf 3string在父物件中必填
  • format: "uri"
targets[].provider_payload.publish_options.child_attachments[].nameoneOf 3string選填/項目
  • maxLength: 255
targets[].provider_payload.publish_options.child_attachments[].descriptiononeOf 3string選填/項目
  • maxLength: 1000
targets[].provider_payload.publish_options.child_attachments[].pictureoneOf 3string在父物件中必填
  • format: "uri"
targets[].provider_payload.publish_options.multi_share_end_cardoneOf 3boolean選填/項目—
targets[].provider_payload.publish_options.multi_share_optimizedoneOf 3boolean選填/項目—
targets[].provider_payload.publish_options.unpublished_content_typeoneOf 3string選填/項目
  • enum: ["SCHEDULED","SCHEDULED_RECURRING","DRAFT","PUBLISH_PENDING","ADS_POST","INLINE_CREATED","PUBLISHED","REVIEWABLE_BRANDED_CONTENT"]
targets[].provider_payload.publish_options.no_storyoneOf 3boolean選填/項目—
targets[].provider_payload.publish_options.crossposted_video_idoneOf 3string選填/項目
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.sphericaloneOf 3boolean選填/項目—
targets[].provider_payload.publish_options.media_optionsoneOf 3array選填/項目
  • maxItems: 20
targets[].provider_payload.publish_options.media_options[]oneOf 3object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.media_options[].asset_idoneOf 3integer在父物件中必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
targets[].provider_payload.publish_options.media_options[].alt_text_customoneOf 3string選填/項目
  • minLength: 1
  • maxLength: 1000
targets[].provider_payloadoneOf 4object在父物件中必填
  • additionalProperties: false
targets[].provider_payload.platformoneOf 4string在父物件中必填
  • const: "threads"
targets[].provider_payload.publish_optionsoneOf 4object在父物件中必填
  • additionalProperties: false
targets[].provider_payload.publish_options.post_typeoneOf 4string在父物件中必填
  • enum: ["TEXT","IMAGE","VIDEO","CAROUSEL","REPOST"]
targets[].provider_payload.publish_options.reply_to_idoneOf 4string選填/項目
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.quote_post_idoneOf 4string選填/項目
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.repost_target_idoneOf 4string選填/項目
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.reply_controloneOf 4string選填/項目
  • enum: ["everyone","accounts_you_follow","mentioned_only","parent_post_author_only","followers_only"]
targets[].provider_payload.publish_options.enable_reply_approvalsoneOf 4boolean選填/項目—
targets[].provider_payload.publish_options.link_attachmentoneOf 4string選填/項目
  • format: "uri"
targets[].provider_payload.publish_options.poll_attachmentoneOf 4object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.poll_attachment.option_aoneOf 4string在父物件中必填
  • minLength: 1
  • maxLength: 25
targets[].provider_payload.publish_options.poll_attachment.option_boneOf 4string在父物件中必填
  • minLength: 1
  • maxLength: 25
targets[].provider_payload.publish_options.poll_attachment.option_coneOf 4string選填/項目
  • minLength: 1
  • maxLength: 25
targets[].provider_payload.publish_options.poll_attachment.option_doneOf 4string選填/項目
  • minLength: 1
  • maxLength: 25
targets[].provider_payload.publish_options.gif_attachmentoneOf 4object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.gif_attachment.gif_idoneOf 4string在父物件中必填
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.gif_attachment.provideroneOf 4string在父物件中必填
  • const: "GIPHY"
targets[].provider_payload.publish_options.text_attachmentoneOf 4object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.text_attachment.plaintextoneOf 4string在父物件中必填
  • minLength: 1
  • maxLength: 10000
targets[].provider_payload.publish_options.text_attachment.link_attachment_urloneOf 4string選填/項目
  • format: "uri"
targets[].provider_payload.publish_options.text_attachment.text_with_styling_infooneOf 4array選填/項目
  • maxItems: 100
targets[].provider_payload.publish_options.text_attachment.text_with_styling_info[]oneOf 4object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.text_attachment.text_with_styling_info[].offsetoneOf 4integer在父物件中必填
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.text_attachment.text_with_styling_info[].lengthoneOf 4integer在父物件中必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
targets[].provider_payload.publish_options.text_attachment.text_with_styling_info[].styling_infooneOf 4array在父物件中必填
  • minItems: 1
targets[].provider_payload.publish_options.text_attachment.text_with_styling_info[].styling_info[]oneOf 4string選填/項目
  • enum: ["bold","italic","highlight","underline","strikethrough"]
targets[].provider_payload.publish_options.topic_tagoneOf 4string選填/項目
  • minLength: 1
  • maxLength: 50
targets[].provider_payload.publish_options.text_entitiesoneOf 4array選填/項目
  • maxItems: 10
targets[].provider_payload.publish_options.text_entities[]oneOf 4object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.text_entities[].entity_typeoneOf 4string在父物件中必填
  • enum: ["SPOILER","spoiler"]
targets[].provider_payload.publish_options.text_entities[].offsetoneOf 4integer在父物件中必填
  • minimum: 0
  • maximum: 9007199254740991
targets[].provider_payload.publish_options.text_entities[].lengthoneOf 4integer在父物件中必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
targets[].provider_payload.publish_options.is_spoiler_mediaoneOf 4boolean選填/項目—
targets[].provider_payload.publish_options.is_ghost_postoneOf 4boolean選填/項目—
targets[].provider_payload.publish_options.location_idoneOf 4string選填/項目
  • minLength: 1
  • maxLength: 256
targets[].provider_payload.publish_options.allowlisted_country_codesoneOf 4array選填/項目
  • minItems: 1
  • maxItems: 249
targets[].provider_payload.publish_options.allowlisted_country_codes[]oneOf 4string選填/項目
  • pattern: "^[A-Z]{2}$"
targets[].provider_payload.publish_options.crossreshare_to_igoneOf 4boolean選填/項目—
targets[].provider_payload.publish_options.crossreshare_to_ig_dark_modeoneOf 4boolean選填/項目—
targets[].provider_payload.publish_options.auto_publish_textoneOf 4boolean選填/項目—
targets[].provider_payload.publish_options.media_optionsoneOf 4array選填/項目
  • maxItems: 20
targets[].provider_payload.publish_options.media_options[]oneOf 4object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.media_options[].asset_idoneOf 4integer在父物件中必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
targets[].provider_payload.publish_options.media_options[].alt_textoneOf 4string選填/項目
  • minLength: 1
  • maxLength: 1000
targets[].provider_payload.publish_options.media_options[].is_spoiler_mediaoneOf 4boolean選填/項目—
targets[].provider_payloadoneOf 5object在父物件中必填
  • additionalProperties: false
targets[].provider_payload.platformoneOf 5string在父物件中必填
  • const: "youtube"
targets[].provider_payload.publish_optionsoneOf 5object在父物件中必填
  • additionalProperties: false
targets[].provider_payload.publish_options.post_typeoneOf 5string在父物件中必填
  • const: "VIDEO"
targets[].provider_payload.publish_options.titleoneOf 5string在父物件中必填
  • minLength: 1
  • maxLength: 100
targets[].provider_payload.publish_options.descriptiononeOf 5string選填/項目
  • maxLength: 5000
targets[].provider_payload.publish_options.tagsoneOf 5array選填/項目
  • maxItems: 100
targets[].provider_payload.publish_options.tags[]oneOf 5string選填/項目
  • minLength: 1
  • maxLength: 500
targets[].provider_payload.publish_options.category_idoneOf 5string選填/項目—
targets[].provider_payload.publish_options.category_idoneOf 5 / anyOf 1string選填/項目
  • minLength: 0
  • maxLength: 0
targets[].provider_payload.publish_options.category_idoneOf 5 / anyOf 2string選填/項目
  • pattern: "^\\d+$"
targets[].provider_payload.publish_options.default_languageoneOf 5string選填/項目
  • minLength: 2
  • maxLength: 35
targets[].provider_payload.publish_options.localizationsoneOf 5object選填/項目
  • additionalProperties: {"type":"object","properties":{"title":{"type":"string","minLength":1,"maxLength":100},"description":{"type":"string","maxLength":5000}},"required":["title","description"],"additionalProperties":false}
targets[].provider_payload.publish_options.localizations.*oneOf 5object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.localizations.*.titleoneOf 5string在父物件中必填
  • minLength: 1
  • maxLength: 100
targets[].provider_payload.publish_options.localizations.*.descriptiononeOf 5string在父物件中必填
  • maxLength: 5000
targets[].provider_payload.publish_options.privacy_statusoneOf 5string在父物件中必填
  • enum: ["private","unlisted","public"]
targets[].provider_payload.publish_options.cancellation_modeoneOf 5string在父物件中必填
  • enum: ["DELETE","UNSCHEDULE_KEEP_PRIVATE"]
targets[].provider_payload.publish_options.licenseoneOf 5string選填/項目
  • enum: ["youtube","creativeCommon"]
targets[].provider_payload.publish_options.embeddableoneOf 5boolean選填/項目—
targets[].provider_payload.publish_options.public_stats_viewableoneOf 5boolean選填/項目—
targets[].provider_payload.publish_options.self_declared_made_for_kidsoneOf 5boolean選填/項目—
targets[].provider_payload.publish_options.contains_synthetic_mediaoneOf 5boolean選填/項目—
targets[].provider_payload.publish_options.has_paid_product_placementoneOf 5boolean選填/項目—
targets[].provider_payload.publish_options.recording_dateoneOf 5string選填/項目
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
targets[].provider_payload.publish_options.notify_subscribersoneOf 5boolean選填/項目—
targets[].provider_payload.publish_options.thumbnail_asset_idoneOf 5integer選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
targets[].provider_payload.publish_options.surface_expectationoneOf 5string選填/項目
  • const: "SHORT"
targets[].provider_payload.publish_options.brand_partneroneOf 5object選填/項目
  • additionalProperties: false
targets[].provider_payload.publish_options.brand_partner.channel_idoneOf 5string選填/項目
  • pattern: "^UC[A-Za-z0-9_-]+$"
targets[].provider_payload.publish_options.brand_partner.channel_handleoneOf 5string選填/項目
  • pattern: "^@[A-Za-z0-9._-]+$"
targets[].scheduled_atstring在父物件中必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
targets[].display_timezonestring選填/項目
  • minLength: 1
  • maxLength: 80
  • default: "UTC"
targets[].local_scheduled_atstring選填/項目
  • pattern: "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
targets[].schedule_dst_disambiguationstring選填/項目
  • enum: ["exact","earlier","later"]
targets[].expires_atstring | null選填/項目—
targets[].expires_atanyOf 1string選填/項目
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
targets[].expires_atanyOf 2null選填/項目—
targets[].source_refobject | null選填/項目—
targets[].source_refanyOf 1object選填/項目
  • additionalProperties: {}
targets[].source_ref.*anyOf 1any JSON value選填/項目—
targets[].source_refanyOf 2null選填/項目—
targets[].automatic_retry_enabledboolean選填/項目
  • default: true
targets[].idempotency_keystring在父物件中必填
  • minLength: 8
  • maxLength: 160
完整 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "project_id": {
      "anyOf": [
        {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        {
          "type": "null"
        }
      ]
    },
    "source_ref": {
      "anyOf": [
        {
          "type": "object",
          "propertyNames": {
            "type": "string"
          },
          "additionalProperties": {}
        },
        {
          "type": "null"
        }
      ]
    },
    "targets": {
      "minItems": 1,
      "maxItems": 50,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "social_account_id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "caption": {
            "default": null,
            "anyOf": [
              {
                "type": "string",
                "maxLength": 5000
              },
              {
                "type": "null"
              }
            ]
          },
          "hashtags": {
            "default": [],
            "maxItems": 100,
            "type": "array",
            "items": {
              "type": "string",
              "maxLength": 100
            }
          },
          "media": {
            "default": [],
            "maxItems": 20,
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "kind": {
                  "type": "string",
                  "enum": [
                    "image",
                    "video"
                  ]
                },
                "url": {
                  "type": "string",
                  "format": "uri"
                },
                "cover_url": {
                  "anyOf": [
                    {
                      "type": "string",
                      "format": "uri"
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "cover_asset_id": {
                  "anyOf": [
                    {
                      "type": "integer",
                      "exclusiveMinimum": 0,
                      "maximum": 9007199254740991
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "asset_id": {
                  "anyOf": [
                    {
                      "type": "integer",
                      "exclusiveMinimum": 0,
                      "maximum": 9007199254740991
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "mime_type": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 160
                    },
                    {
                      "type": "null"
                    }
                  ]
                }
              },
              "required": [
                "kind",
                "url"
              ],
              "additionalProperties": false
            }
          },
          "link_url": {
            "anyOf": [
              {
                "type": "string",
                "format": "uri"
              },
              {
                "type": "null"
              }
            ]
          },
          "provider_payload": {
            "oneOf": [
              {
                "type": "object",
                "properties": {
                  "platform": {
                    "type": "string",
                    "const": "x"
                  },
                  "publish_options": {
                    "type": "object",
                    "properties": {
                      "post_type": {
                        "type": "string",
                        "const": "TEXT"
                      }
                    },
                    "required": [
                      "post_type"
                    ],
                    "additionalProperties": false
                  }
                },
                "required": [
                  "platform",
                  "publish_options"
                ],
                "additionalProperties": false
              },
              {
                "type": "object",
                "properties": {
                  "platform": {
                    "type": "string",
                    "const": "instagram"
                  },
                  "publish_options": {
                    "type": "object",
                    "properties": {
                      "post_type": {
                        "type": "string",
                        "enum": [
                          "IMAGE",
                          "VIDEO",
                          "CAROUSEL",
                          "REELS",
                          "STORY_IMAGE",
                          "STORY_VIDEO"
                        ]
                      },
                      "location_id": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 256
                      },
                      "share_to_feed": {
                        "type": "boolean"
                      },
                      "collaborators": {
                        "maxItems": 3,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 30
                        }
                      },
                      "first_comment": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 2200
                      },
                      "cover_asset_id": {
                        "type": "integer",
                        "exclusiveMinimum": 0,
                        "maximum": 9007199254740991
                      },
                      "thumb_offset_ms": {
                        "type": "integer",
                        "minimum": 0,
                        "maximum": 9007199254740991
                      },
                      "audio_name": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 100
                      },
                      "trial_params": {
                        "type": "object",
                        "properties": {
                          "graduation_strategy": {
                            "type": "string",
                            "enum": [
                              "MANUAL",
                              "SS_PERFORMANCE"
                            ]
                          }
                        },
                        "required": [
                          "graduation_strategy"
                        ],
                        "additionalProperties": false
                      },
                      "is_ai_generated": {
                        "type": "boolean"
                      },
                      "branded_content_sponsor_ids": {
                        "maxItems": 2,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 256
                        }
                      },
                      "is_paid_partnership": {
                        "type": "boolean"
                      },
                      "media_options": {
                        "maxItems": 10,
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "asset_id": {
                              "type": "integer",
                              "exclusiveMinimum": 0,
                              "maximum": 9007199254740991
                            },
                            "alt_text": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 1000
                            },
                            "user_tags": {
                              "maxItems": 20,
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "username": {
                                    "type": "string",
                                    "minLength": 1,
                                    "maxLength": 30
                                  },
                                  "x": {
                                    "type": "number",
                                    "minimum": 0,
                                    "maximum": 1
                                  },
                                  "y": {
                                    "type": "number",
                                    "minimum": 0,
                                    "maximum": 1
                                  }
                                },
                                "required": [
                                  "username"
                                ],
                                "additionalProperties": false
                              }
                            },
                            "product_tags": {
                              "maxItems": 5,
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "product_id": {
                                    "type": "string",
                                    "minLength": 1,
                                    "maxLength": 256
                                  },
                                  "x": {
                                    "type": "number",
                                    "minimum": 0,
                                    "maximum": 1
                                  },
                                  "y": {
                                    "type": "number",
                                    "minimum": 0,
                                    "maximum": 1
                                  }
                                },
                                "required": [
                                  "product_id"
                                ],
                                "additionalProperties": false
                              }
                            },
                            "thumb_offset_ms": {
                              "type": "integer",
                              "minimum": 0,
                              "maximum": 9007199254740991
                            }
                          },
                          "required": [
                            "asset_id"
                          ],
                          "additionalProperties": false
                        }
                      }
                    },
                    "required": [
                      "post_type"
                    ],
                    "additionalProperties": false
                  }
                },
                "required": [
                  "platform",
                  "publish_options"
                ],
                "additionalProperties": false
              },
              {
                "type": "object",
                "properties": {
                  "platform": {
                    "type": "string",
                    "const": "facebook"
                  },
                  "publish_options": {
                    "type": "object",
                    "properties": {
                      "post_type": {
                        "type": "string",
                        "enum": [
                          "TEXT",
                          "LINK",
                          "IMAGE",
                          "MULTI_IMAGE",
                          "VIDEO",
                          "REELS",
                          "STORY_IMAGE",
                          "STORY_VIDEO"
                        ]
                      },
                      "title": {
                        "type": "string",
                        "maxLength": 255
                      },
                      "description": {
                        "type": "string",
                        "maxLength": 5000
                      },
                      "publication_mode": {
                        "type": "string",
                        "enum": [
                          "PUBLISH",
                          "DRAFT"
                        ]
                      },
                      "backdated_time": {
                        "type": "number"
                      },
                      "backdated_time_granularity": {
                        "type": "string",
                        "enum": [
                          "year",
                          "month",
                          "day",
                          "hour",
                          "minute"
                        ]
                      },
                      "place": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 256
                      },
                      "tags": {
                        "maxItems": 50,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 256
                        }
                      },
                      "feed_targeting": {
                        "type": "object",
                        "properties": {
                          "age_min": {
                            "type": "integer",
                            "minimum": 13,
                            "maximum": 65
                          },
                          "age_max": {
                            "type": "integer",
                            "minimum": 13,
                            "maximum": 65
                          },
                          "college_years": {
                            "maxItems": 100,
                            "type": "array",
                            "items": {
                              "type": "integer",
                              "minimum": 1900,
                              "maximum": 2200
                            }
                          },
                          "education_statuses": {
                            "maxItems": 3,
                            "type": "array",
                            "items": {
                              "anyOf": [
                                {
                                  "type": "number",
                                  "const": 1
                                },
                                {
                                  "type": "number",
                                  "const": 2
                                },
                                {
                                  "type": "number",
                                  "const": 3
                                }
                              ]
                            }
                          },
                          "genders": {
                            "maxItems": 2,
                            "type": "array",
                            "items": {
                              "anyOf": [
                                {
                                  "type": "number",
                                  "const": 1
                                },
                                {
                                  "type": "number",
                                  "const": 2
                                }
                              ]
                            }
                          },
                          "geo_locations": {
                            "type": "object",
                            "properties": {
                              "countries": {
                                "minItems": 1,
                                "maxItems": 25,
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "pattern": "^[A-Z]{2}$"
                                }
                              },
                              "regions": {
                                "minItems": 1,
                                "maxItems": 250,
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "key": {
                                      "anyOf": [
                                        {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 256
                                        },
                                        {
                                          "type": "integer",
                                          "minimum": 0,
                                          "maximum": 9007199254740991
                                        }
                                      ]
                                    }
                                  },
                                  "required": [
                                    "key"
                                  ],
                                  "additionalProperties": false
                                }
                              },
                              "cities": {
                                "minItems": 1,
                                "maxItems": 250,
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "key": {
                                      "anyOf": [
                                        {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 256
                                        },
                                        {
                                          "type": "integer",
                                          "minimum": 0,
                                          "maximum": 9007199254740991
                                        }
                                      ]
                                    },
                                    "radius": {
                                      "type": "number",
                                      "exclusiveMinimum": 0,
                                      "maximum": 1000
                                    },
                                    "distance_unit": {
                                      "type": "string",
                                      "enum": [
                                        "mile",
                                        "kilometer"
                                      ]
                                    }
                                  },
                                  "required": [
                                    "key"
                                  ],
                                  "additionalProperties": false
                                }
                              },
                              "zips": {
                                "minItems": 1,
                                "maxItems": 250,
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "key": {
                                      "anyOf": [
                                        {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 256
                                        },
                                        {
                                          "type": "integer",
                                          "minimum": 0,
                                          "maximum": 9007199254740991
                                        }
                                      ]
                                    }
                                  },
                                  "required": [
                                    "key"
                                  ],
                                  "additionalProperties": false
                                }
                              },
                              "location_types": {
                                "minItems": 1,
                                "maxItems": 2,
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "enum": [
                                    "home",
                                    "recent"
                                  ]
                                }
                              }
                            },
                            "additionalProperties": false
                          },
                          "interests": {
                            "maxItems": 250,
                            "type": "array",
                            "items": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 256
                                },
                                {
                                  "type": "integer",
                                  "minimum": 0,
                                  "maximum": 9007199254740991
                                }
                              ]
                            }
                          },
                          "locales": {
                            "maxItems": 250,
                            "type": "array",
                            "items": {
                              "type": "integer",
                              "minimum": 0,
                              "maximum": 9007199254740991
                            }
                          },
                          "relationship_statuses": {
                            "maxItems": 4,
                            "type": "array",
                            "items": {
                              "anyOf": [
                                {
                                  "type": "number",
                                  "const": 1
                                },
                                {
                                  "type": "number",
                                  "const": 2
                                },
                                {
                                  "type": "number",
                                  "const": 3
                                },
                                {
                                  "type": "number",
                                  "const": 4
                                }
                              ]
                            }
                          }
                        },
                        "additionalProperties": false
                      },
                      "targeting": {
                        "type": "object",
                        "properties": {
                          "age_min": {
                            "anyOf": [
                              {
                                "type": "number",
                                "const": 13
                              },
                              {
                                "type": "number",
                                "const": 15
                              },
                              {
                                "type": "number",
                                "const": 18
                              },
                              {
                                "type": "number",
                                "const": 21
                              },
                              {
                                "type": "number",
                                "const": 25
                              }
                            ]
                          },
                          "geo_locations": {
                            "type": "object",
                            "properties": {
                              "countries": {
                                "minItems": 1,
                                "maxItems": 25,
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "pattern": "^[A-Z]{2}$"
                                }
                              },
                              "regions": {
                                "minItems": 1,
                                "maxItems": 250,
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "key": {
                                      "anyOf": [
                                        {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 256
                                        },
                                        {
                                          "type": "integer",
                                          "minimum": 0,
                                          "maximum": 9007199254740991
                                        }
                                      ]
                                    }
                                  },
                                  "required": [
                                    "key"
                                  ],
                                  "additionalProperties": false
                                }
                              },
                              "cities": {
                                "minItems": 1,
                                "maxItems": 250,
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "key": {
                                      "anyOf": [
                                        {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 256
                                        },
                                        {
                                          "type": "integer",
                                          "minimum": 0,
                                          "maximum": 9007199254740991
                                        }
                                      ]
                                    },
                                    "radius": {
                                      "type": "number",
                                      "exclusiveMinimum": 0,
                                      "maximum": 1000
                                    },
                                    "distance_unit": {
                                      "type": "string",
                                      "enum": [
                                        "mile",
                                        "kilometer"
                                      ]
                                    }
                                  },
                                  "required": [
                                    "key"
                                  ],
                                  "additionalProperties": false
                                }
                              },
                              "zips": {
                                "minItems": 1,
                                "maxItems": 250,
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "key": {
                                      "anyOf": [
                                        {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 256
                                        },
                                        {
                                          "type": "integer",
                                          "minimum": 0,
                                          "maximum": 9007199254740991
                                        }
                                      ]
                                    }
                                  },
                                  "required": [
                                    "key"
                                  ],
                                  "additionalProperties": false
                                }
                              },
                              "location_types": {
                                "minItems": 1,
                                "maxItems": 2,
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "enum": [
                                    "home",
                                    "recent"
                                  ]
                                }
                              }
                            },
                            "additionalProperties": false
                          }
                        },
                        "additionalProperties": false
                      },
                      "child_attachments": {
                        "minItems": 2,
                        "maxItems": 10,
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "link": {
                              "type": "string",
                              "format": "uri"
                            },
                            "name": {
                              "type": "string",
                              "maxLength": 255
                            },
                            "description": {
                              "type": "string",
                              "maxLength": 1000
                            },
                            "picture": {
                              "type": "string",
                              "format": "uri"
                            }
                          },
                          "required": [
                            "link",
                            "picture"
                          ],
                          "additionalProperties": false
                        }
                      },
                      "multi_share_end_card": {
                        "type": "boolean"
                      },
                      "multi_share_optimized": {
                        "type": "boolean"
                      },
                      "unpublished_content_type": {
                        "type": "string",
                        "enum": [
                          "SCHEDULED",
                          "SCHEDULED_RECURRING",
                          "DRAFT",
                          "PUBLISH_PENDING",
                          "ADS_POST",
                          "INLINE_CREATED",
                          "PUBLISHED",
                          "REVIEWABLE_BRANDED_CONTENT"
                        ]
                      },
                      "no_story": {
                        "type": "boolean"
                      },
                      "crossposted_video_id": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 256
                      },
                      "spherical": {
                        "type": "boolean"
                      },
                      "media_options": {
                        "maxItems": 20,
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "asset_id": {
                              "type": "integer",
                              "exclusiveMinimum": 0,
                              "maximum": 9007199254740991
                            },
                            "alt_text_custom": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 1000
                            }
                          },
                          "required": [
                            "asset_id"
                          ],
                          "additionalProperties": false
                        }
                      }
                    },
                    "required": [
                      "post_type"
                    ],
                    "additionalProperties": false
                  }
                },
                "required": [
                  "platform",
                  "publish_options"
                ],
                "additionalProperties": false
              },
              {
                "type": "object",
                "properties": {
                  "platform": {
                    "type": "string",
                    "const": "threads"
                  },
                  "publish_options": {
                    "type": "object",
                    "properties": {
                      "post_type": {
                        "type": "string",
                        "enum": [
                          "TEXT",
                          "IMAGE",
                          "VIDEO",
                          "CAROUSEL",
                          "REPOST"
                        ]
                      },
                      "reply_to_id": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 256
                      },
                      "quote_post_id": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 256
                      },
                      "repost_target_id": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 256
                      },
                      "reply_control": {
                        "type": "string",
                        "enum": [
                          "everyone",
                          "accounts_you_follow",
                          "mentioned_only",
                          "parent_post_author_only",
                          "followers_only"
                        ]
                      },
                      "enable_reply_approvals": {
                        "type": "boolean"
                      },
                      "link_attachment": {
                        "type": "string",
                        "format": "uri"
                      },
                      "poll_attachment": {
                        "type": "object",
                        "properties": {
                          "option_a": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 25
                          },
                          "option_b": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 25
                          },
                          "option_c": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 25
                          },
                          "option_d": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 25
                          }
                        },
                        "required": [
                          "option_a",
                          "option_b"
                        ],
                        "additionalProperties": false
                      },
                      "gif_attachment": {
                        "type": "object",
                        "properties": {
                          "gif_id": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 256
                          },
                          "provider": {
                            "type": "string",
                            "const": "GIPHY"
                          }
                        },
                        "required": [
                          "gif_id",
                          "provider"
                        ],
                        "additionalProperties": false
                      },
                      "text_attachment": {
                        "type": "object",
                        "properties": {
                          "plaintext": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 10000
                          },
                          "link_attachment_url": {
                            "type": "string",
                            "format": "uri"
                          },
                          "text_with_styling_info": {
                            "maxItems": 100,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "offset": {
                                  "type": "integer",
                                  "minimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "length": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "styling_info": {
                                  "minItems": 1,
                                  "type": "array",
                                  "items": {
                                    "type": "string",
                                    "enum": [
                                      "bold",
                                      "italic",
                                      "highlight",
                                      "underline",
                                      "strikethrough"
                                    ]
                                  }
                                }
                              },
                              "required": [
                                "offset",
                                "length",
                                "styling_info"
                              ],
                              "additionalProperties": false
                            }
                          }
                        },
                        "required": [
                          "plaintext"
                        ],
                        "additionalProperties": false
                      },
                      "topic_tag": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 50
                      },
                      "text_entities": {
                        "maxItems": 10,
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "entity_type": {
                              "type": "string",
                              "enum": [
                                "SPOILER",
                                "spoiler"
                              ]
                            },
                            "offset": {
                              "type": "integer",
                              "minimum": 0,
                              "maximum": 9007199254740991
                            },
                            "length": {
                              "type": "integer",
                              "exclusiveMinimum": 0,
                              "maximum": 9007199254740991
                            }
                          },
                          "required": [
                            "entity_type",
                            "offset",
                            "length"
                          ],
                          "additionalProperties": false
                        }
                      },
                      "is_spoiler_media": {
                        "type": "boolean"
                      },
                      "is_ghost_post": {
                        "type": "boolean"
                      },
                      "location_id": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 256
                      },
                      "allowlisted_country_codes": {
                        "minItems": 1,
                        "maxItems": 249,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "pattern": "^[A-Z]{2}$"
                        }
                      },
                      "crossreshare_to_ig": {
                        "type": "boolean"
                      },
                      "crossreshare_to_ig_dark_mode": {
                        "type": "boolean"
                      },
                      "auto_publish_text": {
                        "type": "boolean"
                      },
                      "media_options": {
                        "maxItems": 20,
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "asset_id": {
                              "type": "integer",
                              "exclusiveMinimum": 0,
                              "maximum": 9007199254740991
                            },
                            "alt_text": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 1000
                            },
                            "is_spoiler_media": {
                              "type": "boolean"
                            }
                          },
                          "required": [
                            "asset_id"
                          ],
                          "additionalProperties": false
                        }
                      }
                    },
                    "required": [
                      "post_type"
                    ],
                    "additionalProperties": false
                  }
                },
                "required": [
                  "platform",
                  "publish_options"
                ],
                "additionalProperties": false
              },
              {
                "type": "object",
                "properties": {
                  "platform": {
                    "type": "string",
                    "const": "youtube"
                  },
                  "publish_options": {
                    "type": "object",
                    "properties": {
                      "post_type": {
                        "type": "string",
                        "const": "VIDEO"
                      },
                      "title": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 100
                      },
                      "description": {
                        "type": "string",
                        "maxLength": 5000
                      },
                      "tags": {
                        "maxItems": 100,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 500
                        }
                      },
                      "category_id": {
                        "anyOf": [
                          {
                            "type": "string",
                            "minLength": 0,
                            "maxLength": 0
                          },
                          {
                            "type": "string",
                            "pattern": "^\\d+$"
                          }
                        ]
                      },
                      "default_language": {
                        "type": "string",
                        "minLength": 2,
                        "maxLength": 35
                      },
                      "localizations": {
                        "type": "object",
                        "propertyNames": {
                          "type": "string"
                        },
                        "additionalProperties": {
                          "type": "object",
                          "properties": {
                            "title": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 100
                            },
                            "description": {
                              "type": "string",
                              "maxLength": 5000
                            }
                          },
                          "required": [
                            "title",
                            "description"
                          ],
                          "additionalProperties": false
                        }
                      },
                      "privacy_status": {
                        "type": "string",
                        "enum": [
                          "private",
                          "unlisted",
                          "public"
                        ]
                      },
                      "cancellation_mode": {
                        "type": "string",
                        "enum": [
                          "DELETE",
                          "UNSCHEDULE_KEEP_PRIVATE"
                        ]
                      },
                      "license": {
                        "type": "string",
                        "enum": [
                          "youtube",
                          "creativeCommon"
                        ]
                      },
                      "embeddable": {
                        "type": "boolean"
                      },
                      "public_stats_viewable": {
                        "type": "boolean"
                      },
                      "self_declared_made_for_kids": {
                        "type": "boolean"
                      },
                      "contains_synthetic_media": {
                        "type": "boolean"
                      },
                      "has_paid_product_placement": {
                        "type": "boolean"
                      },
                      "recording_date": {
                        "type": "string",
                        "format": "date-time",
                        "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
                      },
                      "notify_subscribers": {
                        "type": "boolean"
                      },
                      "thumbnail_asset_id": {
                        "type": "integer",
                        "exclusiveMinimum": 0,
                        "maximum": 9007199254740991
                      },
                      "surface_expectation": {
                        "type": "string",
                        "const": "SHORT"
                      },
                      "brand_partner": {
                        "type": "object",
                        "properties": {
                          "channel_id": {
                            "type": "string",
                            "pattern": "^UC[A-Za-z0-9_-]+$"
                          },
                          "channel_handle": {
                            "type": "string",
                            "pattern": "^@[A-Za-z0-9._-]+$"
                          }
                        },
                        "additionalProperties": false
                      }
                    },
                    "required": [
                      "post_type",
                      "title",
                      "privacy_status",
                      "cancellation_mode"
                    ],
                    "additionalProperties": false
                  }
                },
                "required": [
                  "platform",
                  "publish_options"
                ],
                "additionalProperties": false
              }
            ]
          },
          "scheduled_at": {
            "type": "string",
            "format": "date-time",
            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
          },
          "display_timezone": {
            "default": "UTC",
            "type": "string",
            "minLength": 1,
            "maxLength": 80
          },
          "local_scheduled_at": {
            "type": "string",
            "pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
          },
          "schedule_dst_disambiguation": {
            "type": "string",
            "enum": [
              "exact",
              "earlier",
              "later"
            ]
          },
          "expires_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time",
                "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
              },
              {
                "type": "null"
              }
            ]
          },
          "source_ref": {
            "anyOf": [
              {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              },
              {
                "type": "null"
              }
            ]
          },
          "automatic_retry_enabled": {
            "default": true,
            "type": "boolean"
          },
          "idempotency_key": {
            "type": "string",
            "minLength": 8,
            "maxLength": 160
          }
        },
        "required": [
          "social_account_id",
          "provider_payload",
          "scheduled_at",
          "idempotency_key"
        ],
        "additionalProperties": false
      }
    }
  },
  "required": [
    "workspace_id",
    "targets"
  ],
  "additionalProperties": false
}

回應與完成

成功 HTTP 狀態:201、422。操作完成時: terminal publication outcome.

成功 HTTP 回應可能表示請求已接受,並非已完成。背景工作請儲存回傳 ID,持續檢查同一操作直到完成。已排程或已接受的貼文,只有平台確認後才算已發布;用戶端逾時無法證明結果。

「必填」是指在其父物件及所選分支內必填。必填子欄位不會使選填父物件變成必填。下列規則與欄位名稱均複製自契約。

回應與完成
欄位 / 分支類型 / 必填約束
$object在父物件中必填—
batch_idstring | null在父物件中必填—
batch_idanyOf 1string在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
batch_idanyOf 2null在父物件中必填—
successesarray在父物件中必填—
successes[]object選填/項目—
successes[].social_account_idstring在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
successes[].postobject在父物件中必填—
successes[].post.idstring在父物件中必填
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
successes[].post.workspace_idstring在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
successes[].post.social_account_idstring | null在父物件中必填—
successes[].post.social_account_idanyOf 1string在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
successes[].post.social_account_idanyOf 2null在父物件中必填—
successes[].post.platformstring在父物件中必填
  • enum: ["instagram","threads","facebook","youtube","x"]
successes[].post.destinationobject在父物件中必填—
successes[].post.destination.social_account_idstring | null在父物件中必填—
successes[].post.destination.social_account_idanyOf 1string在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
successes[].post.destination.social_account_idanyOf 2null在父物件中必填—
successes[].post.destination.platformstring在父物件中必填
  • enum: ["instagram","threads","facebook","youtube","x"]
successes[].post.destination.platform_user_idstring | null在父物件中必填—
successes[].post.destination.platform_user_idanyOf 1string在父物件中必填—
successes[].post.destination.platform_user_idanyOf 2null在父物件中必填—
successes[].post.destination.account_labelstring | null在父物件中必填—
successes[].post.destination.account_labelanyOf 1string在父物件中必填—
successes[].post.destination.account_labelanyOf 2null在父物件中必填—
successes[].post.captionstring | null在父物件中必填—
successes[].post.captionanyOf 1string在父物件中必填—
successes[].post.captionanyOf 2null在父物件中必填—
successes[].post.hashtagsarray在父物件中必填—
successes[].post.hashtags[]string選填/項目—
successes[].post.mediaarray在父物件中必填—
successes[].post.media[]object選填/項目—
successes[].post.media[].kindstring在父物件中必填
  • enum: ["image","video"]
successes[].post.media[].urlstring在父物件中必填
  • format: "uri"
successes[].post.media[].cover_urlstring | null選填/項目—
successes[].post.media[].cover_urlanyOf 1string選填/項目
  • format: "uri"
successes[].post.media[].cover_urlanyOf 2null選填/項目—
successes[].post.media[].cover_asset_idinteger | null選填/項目—
successes[].post.media[].cover_asset_idanyOf 1integer選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
successes[].post.media[].cover_asset_idanyOf 2null選填/項目—
successes[].post.media[].asset_idinteger | null選填/項目—
successes[].post.media[].asset_idanyOf 1integer選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
successes[].post.media[].asset_idanyOf 2null選填/項目—
successes[].post.media[].mime_typestring | null選填/項目—
successes[].post.media[].mime_typeanyOf 1string選填/項目
  • minLength: 1
  • maxLength: 160
successes[].post.media[].mime_typeanyOf 2null選填/項目—
successes[].post.media[].preview_urlstring | null選填/項目

暫時授權的讀取 URL;保留 url 作為排程貼文的持久媒體身分。

—
successes[].post.media[].preview_urlanyOf 1string選填/項目
  • format: "uri"
successes[].post.media[].preview_urlanyOf 2null選填/項目—
successes[].post.media[].cover_preview_urlstring | null選填/項目

暫時授權的封面讀取 URL;保留 cover_url 作為持久媒體身分。

—
successes[].post.media[].cover_preview_urlanyOf 1string選填/項目
  • format: "uri"
successes[].post.media[].cover_preview_urlanyOf 2null選填/項目—
successes[].post.media[].preview_expires_atstring | null選填/項目—
successes[].post.media[].preview_expires_atanyOf 1string選填/項目
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
successes[].post.media[].preview_expires_atanyOf 2null選填/項目—
successes[].post.link_urlstring | null選填/項目—
successes[].post.link_urlanyOf 1string選填/項目
  • format: "uri"
successes[].post.link_urlanyOf 2null選填/項目—
successes[].post.publish_optionsobject在父物件中必填—
successes[].post.publish_options.post_typestring選填/項目
  • enum: ["TEXT","LINK","IMAGE","MULTI_IMAGE","VIDEO","CAROUSEL","REELS","STORY_IMAGE","STORY_VIDEO","REPOST","SHORT"]
successes[].post.publish_options.location_idstring選填/項目
  • minLength: 1
successes[].post.publish_options.share_to_feedboolean選填/項目—
successes[].post.publish_options.collaboratorsarray選填/項目
  • maxItems: 3
successes[].post.publish_options.collaborators[]string選填/項目
  • minLength: 1
successes[].post.publish_options.first_commentstring選填/項目
  • minLength: 1
  • maxLength: 2200
successes[].post.publish_options.topic_tagstring選填/項目
  • minLength: 1
successes[].post.publish_options.thumb_offset_msinteger選填/項目
  • minimum: 0
  • maximum: 9007199254740991
successes[].post.publish_options.titlestring選填/項目
  • maxLength: 255
successes[].post.publish_options.youtube_privacy_statusstring選填/項目
  • enum: ["private","unlisted","public"]
successes[].post.publish_options.youtube_category_idstring選填/項目
  • pattern: "^\\d+$"
successes[].post.publish_options.youtube_contains_synthetic_mediaboolean選填/項目—
successes[].post.publish_options.descriptionstring選填/項目
  • maxLength: 5000
successes[].post.publish_options.category_idstring選填/項目
  • pattern: "^\\d+$"
successes[].post.publish_options.privacy_statusstring選填/項目
  • enum: ["private","unlisted","public"]
successes[].post.publish_options.cancellation_modestring選填/項目
  • enum: ["DELETE","UNSCHEDULE_KEEP_PRIVATE"]
successes[].post.publish_options.tagsarray選填/項目—
successes[].post.publish_options.tags[]string選填/項目—
successes[].post.publish_options.default_languagestring選填/項目—
successes[].post.publish_options.localizationsobject選填/項目
  • additionalProperties: {}
successes[].post.publish_options.localizations.*any JSON value選填/項目—
successes[].post.publish_options.licensestring選填/項目
  • enum: ["youtube","creativeCommon"]
successes[].post.publish_options.embeddableboolean選填/項目—
successes[].post.publish_options.public_stats_viewableboolean選填/項目—
successes[].post.publish_options.self_declared_made_for_kidsboolean選填/項目—
successes[].post.publish_options.contains_synthetic_mediaboolean選填/項目—
successes[].post.publish_options.has_paid_product_placementboolean選填/項目—
successes[].post.publish_options.recording_datestring選填/項目—
successes[].post.publish_options.notify_subscribersboolean選填/項目—
successes[].post.publish_options.thumbnail_asset_idinteger選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
successes[].post.publish_options.surface_expectationstring選填/項目
  • const: "SHORT"
successes[].post.publish_options.brand_partnerobject選填/項目
  • additionalProperties: {}
successes[].post.publish_options.brand_partner.*any JSON value選填/項目—
successes[].post.publish_options.cover_asset_idinteger選填/項目
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
successes[].post.publish_options.audio_namestring選填/項目—
successes[].post.publish_options.trial_paramsobject選填/項目
  • additionalProperties: {}
successes[].post.publish_options.trial_params.*any JSON value選填/項目—
successes[].post.publish_options.is_ai_generatedboolean選填/項目—
successes[].post.publish_options.branded_content_sponsor_idsarray選填/項目—
successes[].post.publish_options.branded_content_sponsor_ids[]string選填/項目—
successes[].post.publish_options.is_paid_partnershipboolean選填/項目—
successes[].post.publish_options.media_optionsarray選填/項目—
successes[].post.publish_options.media_options[]object選填/項目
  • additionalProperties: {}
successes[].post.publish_options.media_options[].*any JSON value選填/項目—
successes[].post.publish_options.reply_to_idstring選填/項目—
successes[].post.publish_options.quote_post_idstring選填/項目—
successes[].post.publish_options.repost_target_idstring選填/項目—
successes[].post.publish_options.reply_controlstring選填/項目—
successes[].post.publish_options.enable_reply_approvalsboolean選填/項目—
successes[].post.publish_options.link_attachmentstring選填/項目
  • format: "uri"
successes[].post.publish_options.poll_attachmentobject選填/項目
  • additionalProperties: {}
successes[].post.publish_options.poll_attachment.*any JSON value選填/項目—
successes[].post.publish_options.gif_attachmentobject選填/項目
  • additionalProperties: {}
successes[].post.publish_options.gif_attachment.*any JSON value選填/項目—
successes[].post.publish_options.text_attachmentobject選填/項目
  • additionalProperties: {}
successes[].post.publish_options.text_attachment.*any JSON value選填/項目—
successes[].post.publish_options.text_entitiesarray選填/項目—
successes[].post.publish_options.text_entities[]object選填/項目
  • additionalProperties: {}
successes[].post.publish_options.text_entities[].*any JSON value選填/項目—
successes[].post.publish_options.is_spoiler_mediaboolean選填/項目—
successes[].post.publish_options.is_ghost_postboolean選填/項目—
successes[].post.publish_options.allowlisted_country_codesarray選填/項目—
successes[].post.publish_options.allowlisted_country_codes[]string選填/項目—
successes[].post.publish_options.crossreshare_to_igboolean選填/項目—
successes[].post.publish_options.crossreshare_to_ig_dark_modeboolean選填/項目—
successes[].post.publish_options.auto_publish_textboolean選填/項目—
successes[].post.publish_options.publication_modestring選填/項目
  • enum: ["PUBLISH","DRAFT"]
successes[].post.publish_options.backdated_timenumber選填/項目—
successes[].post.publish_options.backdated_time_granularitystring選填/項目
  • enum: ["year","month","day","hour","minute"]
successes[].post.publish_options.placestring選填/項目—
successes[].post.publish_options.feed_targetingobject選填/項目
  • additionalProperties: {}
successes[].post.publish_options.feed_targeting.*any JSON value選填/項目—
successes[].post.publish_options.targetingobject選填/項目
  • additionalProperties: {}
successes[].post.publish_options.targeting.*any JSON value選填/項目—
successes[].post.publish_options.child_attachmentsarray選填/項目—
successes[].post.publish_options.child_attachments[]object選填/項目
  • additionalProperties: {}
successes[].post.publish_options.child_attachments[].*any JSON value選填/項目—
successes[].post.publish_options.multi_share_end_cardboolean選填/項目—
successes[].post.publish_options.multi_share_optimizedboolean選填/項目—
successes[].post.publish_options.unpublished_content_typestring選填/項目—
successes[].post.publish_options.no_storyboolean選填/項目—
successes[].post.publish_options.crossposted_video_idstring選填/項目—
successes[].post.publish_options.sphericalboolean選填/項目—
successes[].post.scheduled_atstring在父物件中必填—
successes[].post.display_timezonestring在父物件中必填
  • minLength: 1
  • maxLength: 80
successes[].post.local_scheduled_atstring | null選填/項目—
successes[].post.local_scheduled_atanyOf 1string選填/項目
  • pattern: "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
successes[].post.local_scheduled_atanyOf 2null選填/項目—
successes[].post.schedule_timezonestring | null選填/項目—
successes[].post.schedule_timezoneanyOf 1string選填/項目
  • minLength: 1
  • maxLength: 80
successes[].post.schedule_timezoneanyOf 2null選填/項目—
successes[].post.schedule_dst_disambiguationstring | null選填/項目—
successes[].post.schedule_dst_disambiguationanyOf 1string選填/項目
  • enum: ["exact","earlier","later"]
successes[].post.schedule_dst_disambiguationanyOf 2null選填/項目—
successes[].post.schedule_intent_statestring選填/項目
  • enum: ["verified","legacy_unverified"]
successes[].post.expires_atstring | null在父物件中必填—
successes[].post.expires_atanyOf 1string在父物件中必填—
successes[].post.expires_atanyOf 2null在父物件中必填—
successes[].post.statusstring在父物件中必填
  • enum: ["scheduled","publishing","published","failed","expired","needs_reschedule","cancelled","deleted"]
successes[].post.versioninteger在父物件中必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
successes[].post.automatic_retry_enabledboolean在父物件中必填—
successes[].post.delete_requested_atstring | null在父物件中必填—
successes[].post.delete_requested_atanyOf 1string在父物件中必填—
successes[].post.delete_requested_atanyOf 2null在父物件中必填—
successes[].post.published_atstring | null在父物件中必填—
successes[].post.published_atanyOf 1string在父物件中必填—
successes[].post.published_atanyOf 2null在父物件中必填—
successes[].post.deleted_atstring | null在父物件中必填—
successes[].post.deleted_atanyOf 1string在父物件中必填—
successes[].post.deleted_atanyOf 2null在父物件中必填—
successes[].post.provider_post_idstring | null在父物件中必填—
successes[].post.provider_post_idanyOf 1string在父物件中必填—
successes[].post.provider_post_idanyOf 2null在父物件中必填—
successes[].post.permalinkstring | null在父物件中必填—
successes[].post.permalinkanyOf 1string在父物件中必填
  • format: "uri"
successes[].post.permalinkanyOf 2null在父物件中必填—
successes[].post.created_atstring在父物件中必填—
successes[].post.updated_atstring在父物件中必填—
successes[].post.project_idstring | null在父物件中必填—
successes[].post.project_idanyOf 1string在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
successes[].post.project_idanyOf 2null在父物件中必填—
successes[].post.batch_idstring | null在父物件中必填—
successes[].post.batch_idanyOf 1string在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
successes[].post.batch_idanyOf 2null在父物件中必填—
successes[].post.source_refobject | null在父物件中必填—
successes[].post.source_refanyOf 1object在父物件中必填
  • additionalProperties: {}
successes[].post.source_ref.*anyOf 1any JSON value選填/項目—
successes[].post.source_refanyOf 2null在父物件中必填—
failuresarray在父物件中必填—
failures[]object選填/項目—
failures[].social_account_idstring在父物件中必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
failures[].codestring在父物件中必填—
failures[].messagestring在父物件中必填—
完整 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "batch_id": {
      "anyOf": [
        {
[...]
